LibOFX: Data Fields

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Defines

- a
- b
- c
- d
- e
- f
- i
- k
- l
- m
- o
- p
- q
- r
- s
- t
- u
- v
- w

Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:

### - a -

- AccountType : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- AppendCharStringtostring() : fx-0.8.2/lib/ofx_utilities.hh, fx-0.8.2/lib/ofx_utilities.cpp, ofx_utilities.hh, ofx_utilities.cpp
- AUTODETECT : libofx-0.8.2/inc/libofx.h, inc/libofx.h

### - b -

- BankNames() : ofxpartner.cpp

### - c -

- CFCT : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- CharStringtostring() : fx-0.8.2/lib/ofx_utilities.hh, fx-0.8.2/lib/ofx_utilities.cpp, ofx_utilities.hh, ofx_utilities.cpp
- CharStringtowchar_t() : fx-0.8.2/lib/ofx_utilities.hh, ofx_utilities.hh

### - d -

- DEBUG : fx-0.8.2/lib/messages.hh, messages.hh
- DEBUG1 : fx-0.8.2/lib/messages.hh, messages.hh
- DEBUG2 : fx-0.8.2/lib/messages.hh, messages.hh
- DEBUG3 : fx-0.8.2/lib/messages.hh, messages.hh
- DEBUG4 : fx-0.8.2/lib/messages.hh, messages.hh
- DEBUG5 : fx-0.8.2/lib/messages.hh, messages.hh
- DELETE : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- DTD_SEARCH_PATH : fx-0.8.2/lib/ofx_preproc.cpp, ofx_preproc.cpp
- DTD_SEARCH_PATH_NUM : fx-0.8.2/lib/ofx_preproc.cpp, ofx_preproc.cpp

### - e -

- entity_ptr : fx-0.8.2/lib/ofx_sgml.cpp, fx-0.8.2/lib/ofc_sgml.cpp, fx-0.8.2/lib/messages.cpp, ofx_sgml.cpp, ofc_sgml.cpp, messages.cpp
- ERROR : fx-0.8.2/lib/messages.hh, messages.hh
- error_msgs_list : fx-0.8.2/lib/ofx_error_msg.hh, ofx_error_msg.hh

### - f -

- false : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- FiIdCorrectionAction : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- find_dtd() : fx-0.8.2/lib/ofx_preproc.hh, fx-0.8.2/lib/ofx_preproc.cpp, ofx_preproc.hh, ofx_preproc.cpp
- find_error_msg() : fx-0.8.2/lib/ofx_error_msg.hh, ofx_error_msg.hh
- FipidForBank() : ofxpartner.cpp

### - i -

- INFO : fx-0.8.2/lib/messages.hh, messages.hh
- InvTransactionType : libofx-0.8.2/inc/libofx.h, inc/libofx.h

### - k -

- kBankFilename : ofxpartner.cpp
- kCcFilename : ofxpartner.cpp
- kInvFilename : ofxpartner.cpp

### - l -

- LAST : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- libofx_detect_file_type() : fx-0.8.2/lib/file_preproc.hh, fx-0.8.2/lib/file_preproc.cpp, file_preproc.hh, file_preproc.cpp
- libofx_free_context() : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- libofx_get_file_format_description() : fx-0.8.2/lib/file_preproc.cpp, libofx-0.8.2/inc/libofx.h, file_preproc.cpp, inc/libofx.h
- libofx_get_file_format_from_str() : fx-0.8.2/lib/file_preproc.cpp, libofx-0.8.2/inc/libofx.h, file_preproc.cpp, inc/libofx.h
- libofx_get_new_context() : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- libofx_proc_buffer() : fx-0.8.2/lib/ofx_preproc.cpp, libofx-0.8.2/inc/libofx.h, ofx_preproc.cpp, inc/libofx.h
- libofx_proc_file() : fx-0.8.2/lib/file_preproc.cpp, libofx-0.8.2/inc/libofx.h, file_preproc.cpp, inc/libofx.h
- libofx_request_accountinfo() : fx-0.8.2/lib/ofx_request_accountinfo.cpp, libofx-0.8.2/inc/libofx.h, ofx_request_accountinfo.cpp, inc/libofx.h
- libofx_request_payment() : fx-0.8.2/lib/ofx_request_statement.cpp, ofx_request_statement.cpp
- libofx_request_payment_status() : fx-0.8.2/lib/ofx_request_statement.cpp, libofx-0.8.2/inc/libofx.h, ofx_request_statement.cpp, inc/libofx.h
- libofx_request_statement() : fx-0.8.2/lib/ofx_request_statement.cpp, libofx-0.8.2/inc/libofx.h, ofx_request_statement.cpp, inc/libofx.h
- LibofxContextPtr : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- LibofxExportFormatList : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- LibofxFileFormat : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- LibofxImportFormatList : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- LibofxProcAccountCallback : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- LibofxProcSecurityCallback : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- LibofxProcStatementCallback : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- LibofxProcStatusCallback : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- LibofxProcTransactionCallback : libofx-0.8.2/inc/libofx.h, inc/libofx.h

### - m -

- main() : ofxdump.cpp, ofx2qif.c
- MainContainer : fx-0.8.2/lib/ofx_sgml.cpp, fx-0.8.2/lib/ofx_containers_misc.cpp, fx-0.8.2/lib/ofx_container_transaction.cpp, fx-0.8.2/lib/ofx_container_statement.cpp, fx-0.8.2/lib/ofx_container_security.cpp, fx-0.8.2/lib/ofx_container_generic.cpp, fx-0.8.2/lib/ofx_container_account.cpp, fx-0.8.2/lib/ofc_sgml.cpp, ofx_sgml.cpp, ofx_containers_misc.cpp, ofx_container_transaction.cpp, ofx_container_statement.cpp, ofx_container_security.cpp, ofx_container_generic.cpp, ofx_container_account.cpp, ofc_sgml.cpp
- message_out() : fx-0.8.2/lib/messages.hh, fx-0.8.2/lib/messages.cpp, messages.hh, messages.cpp

### - o -

- OFC : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- ofc_proc_sgml() : fx-0.8.2/lib/ofc_sgml.hh, fx-0.8.2/lib/ofc_sgml.cpp, ofc_sgml.hh, ofc_sgml.cpp
- OFCDTD_FILENAME : fx-0.8.2/lib/ofx_preproc.hh, ofx_preproc.hh
- OFX : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX160DTD_FILENAME : fx-0.8.2/lib/ofx_preproc.hh, ofx_preproc.hh
- OFX_ACCOUNT_ID_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_ACCOUNT_NAME_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_ACCTID_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_ACCTKEY_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_AMOUNT_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_ATM : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_BALANCE_DESCRIPTION_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_BALANCE_NAME_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_BANKID_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_BRANCHID_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_BROKERID_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_BUYDEBT : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_BUYMF : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_BUYOPT : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_BUYOTHER : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_BUYSTOCK : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_CASH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_CHECK : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_CHECK_NUMBER_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_CLOSUREOPT : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_CREDIT : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_CURRENCY_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_DEBIT : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- ofx_DEBUG1_msg : fx-0.8.2/lib/messages.cpp, messages.cpp
- ofx_DEBUG2_msg : fx-0.8.2/lib/messages.cpp, messages.cpp
- ofx_DEBUG3_msg : fx-0.8.2/lib/messages.cpp, messages.cpp
- ofx_DEBUG4_msg : fx-0.8.2/lib/messages.cpp, messages.cpp
- ofx_DEBUG5_msg : fx-0.8.2/lib/messages.cpp, messages.cpp
- ofx_DEBUG_msg : fx-0.8.2/lib/messages.cpp, messages.cpp
- OFX_DEP : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_DIRECTDEBIT : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_DIRECTDEP : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_DIV : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_ELEMENT_NAME_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- ofx_ERROR_msg : fx-0.8.2/lib/messages.cpp, messages.cpp
- OFX_FEE : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_FID_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_FITID_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_INCOME : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- ofx_INFO_msg : fx-0.8.2/lib/messages.cpp, messages.cpp
- OFX_INT : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_INVEXPENSE : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_JRNLFUND : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_JRNLSEC : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_MARGININTEREST : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_MARKETING_INFO_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_MEMO2_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_MEMO_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_NAME_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_ORG_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_OTHER : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- ofx_PARSER_msg : fx-0.8.2/lib/messages.cpp, messages.cpp
- OFX_PAYACCT_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_PAYMENT : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_POS : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_POSTALCODE_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- ofx_proc_account_cb() : ofxdump.cpp, ofx2qif.c
- ofx_proc_file() : fx-0.8.2/lib/ofx_preproc.hh, fx-0.8.2/lib/ofx_preproc.cpp, ofx_preproc.hh, ofx_preproc.cpp
- ofx_proc_security_cb() : ofxdump.cpp
- ofx_proc_sgml() : fx-0.8.2/lib/ofx_sgml.hh, fx-0.8.2/lib/ofx_sgml.cpp, ofx_sgml.hh, ofx_sgml.cpp
- ofx_proc_statement_cb() : ofxdump.cpp, ofx2qif.c
- ofx_proc_status_cb() : ofxdump.cpp
- ofx_proc_transaction_cb() : ofxdump.cpp, ofx2qif.c
- OFX_REFERENCE_NUMBER_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_REINVEST : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_REPEATPMT : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_RETOFCAP : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_SECNAME_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_SELLDEBT : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_SELLMF : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_SELLOPT : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_SELLOTHER : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_SELLSTOCK : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- ofx_set_account_cb() : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- ofx_set_security_cb() : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- ofx_set_statement_cb() : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- ofx_set_status_cb() : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- ofx_set_transaction_cb() : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- ofx_show_position : fx-0.8.2/lib/messages.cpp, messages.cpp
- OFX_SPLIT : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_SRVCHG : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_STATE_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- ofx_STATUS_msg : fx-0.8.2/lib/messages.cpp, messages.cpp
- OFX_SVRTID2_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_TICKER_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_TOKEN2_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_TRANSACTION_NAME_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_TRANSFER : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_UNIQUE_ID_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_UNIQUE_ID_TYPE_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_URL_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_USERID_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- OFX_USERPASS_LENGTH : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- ofx_WARNING_msg : fx-0.8.2/lib/messages.cpp, messages.cpp
- OFX_XFER : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- ofxamount_to_double() : fx-0.8.2/lib/ofx_utilities.hh, fx-0.8.2/lib/ofx_utilities.cpp, ofx_utilities.hh, ofx_utilities.cpp
- ofxdate_to_time_t() : fx-0.8.2/lib/ofx_utilities.hh, fx-0.8.2/lib/ofx_utilities.cpp, ofx_utilities.hh, ofx_utilities.cpp
- OfxHeader() : fx-0.8.2/lib/ofx_request.hh, fx-0.8.2/lib/ofx_request.cpp, ofx_request.hh, ofx_request.cpp
- OfxMsgType : fx-0.8.2/lib/messages.hh, messages.hh
- OPENSPDCL_FILENAME : fx-0.8.2/lib/ofx_preproc.hh, ofx_preproc.hh
- operator<<() : fx-0.8.2/lib/ofx_utilities.hh, ofx_utilities.hh

### - p -

- PARSER : fx-0.8.2/lib/messages.hh, messages.hh
- position : fx-0.8.2/lib/ofx_sgml.cpp, fx-0.8.2/lib/ofc_sgml.cpp, fx-0.8.2/lib/messages.cpp, ofx_sgml.cpp, ofc_sgml.cpp, messages.cpp
- post() : ofxpartner.cpp

### - q -

- QIF : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- QIF_FILE_MAX_SIZE : ofx2qif.c

### - r -

- READ_BUFFER_SIZE : fx-0.8.2/lib/ofx_preproc.cpp, fx-0.8.2/lib/file_preproc.cpp, ofx_preproc.cpp, file_preproc.cpp
- REPLACE : libofx-0.8.2/inc/libofx.h, inc/libofx.h

### - s -

- sanitize_proprietary_tags() : fx-0.8.2/lib/ofx_preproc.hh, fx-0.8.2/lib/ofx_preproc.cpp, ofx_preproc.hh, ofx_preproc.cpp
- ServiceInfo() : ofxpartner.cpp
- show_line_number() : fx-0.8.2/lib/messages.cpp, messages.cpp
- STATUS : fx-0.8.2/lib/messages.hh, messages.hh
- strip_whitespace() : fx-0.8.2/lib/ofx_utilities.hh, fx-0.8.2/lib/ofx_utilities.cpp, ofx_utilities.hh, ofx_utilities.cpp

### - t -

- time_t_to_ofxdate() : fx-0.8.2/lib/ofx_request.hh, fx-0.8.2/lib/ofx_request.cpp, ofx_request.hh, ofx_request.cpp
- time_t_to_ofxdatetime() : fx-0.8.2/lib/ofx_request.hh, fx-0.8.2/lib/ofx_request.cpp, ofx_request.hh, ofx_request.cpp
- TransactionType : libofx-0.8.2/inc/libofx.h, inc/libofx.h
- true : libofx-0.8.2/inc/libofx.h, inc/libofx.h

### - u -

- UNKNOWN : libofx-0.8.2/inc/libofx.h, inc/libofx.h

### - v -

- ValidateIndexCache() : ofxpartner.cpp

### - w -

- WARNING : fx-0.8.2/lib/messages.hh, messages.hh